﻿;/////////////////////////////////////////////////////////////////////////////////
;minScript.
;==========
;minScript code editor test program.
;
;© Big Eared Software 2018.
;==========================
;   Created with Purebasic 5.62 for Windows.
;
;   Platforms:  ALL.
;/////////////////////////////////////////////////////////////////////////////////

#codeEditor = 1

;Set the following constant to point to the main minScript source folder.
  CompilerSelect #PB_Compiler_OS
    CompilerCase #PB_OS_Windows
      #minScript_HOME = "c:/PurebasicCode/minScript/Source/"  
    CompilerCase #PB_OS_Linux
;      #minScript_HOME = "/home/stephen/PurebasicCode/minScript/Source/"
  CompilerEndSelect
  CompilerIf Defined(minScript_HOME, #PB_Constant) = 0
    CompilerError "minScript cannot run until you declare the constant : '#minScript_HOME' to point at the minScript source folder!"
  CompilerEndIf

;Include the minScript source and check that it initialized ok.
  XIncludeFile #minScript_HOME + "minScript.pbi"
  If minScriptINIT <> #minScript_OKAY
    Debug "minScript failed to initialize correctly."
    End
  EndIf

;Now open a Window and create our minScriptCodeEditor control.
If OpenWindow(0, 100, 200, 600, 600, "minScript demo!", #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered)
  RemoveKeyboardShortcut(0, #PB_Shortcut_Tab) ;Required for the tab key to function correctly when the Scintilla control has the focus.
  If CreateMenu(0, WindowID(0))
    MenuTitle("File")
      MenuItem(1, "&Load...")
      MenuItem(2, "Save")
      MenuBar()
      MenuItem(3, "&Quit")
  EndIf
  ;Create our code editor control
    Debug minScript_CodeEditor_Create(#codeEditor, 20, 20, WindowWidth(0) - 40, WindowHeight(0)-MenuHeight()-40)



  Repeat
    eventID = WaitWindowEvent()
  Until eventID = #PB_Event_CloseWindow 
EndIf


; IDE Options = PureBasic 5.62 (Windows - x64)
; CursorPosition = 43
; FirstLine = 22
; EnableThread
; EnableXP
; Executable = d.exe.dll.exe.dll
; EnableUnicode